construct_data_1d2d
Applications » Transforms in magnetic resonance imaging » 3D transforms
Collaboration diagram for construct_data_1d2d:

## Functions

static void | construct (char *file, int N, int M, int Z, fftw_complex *mem)
| construct makes an 2d-nfft for every slice
static void | fft (int N, int M, int Z, fftw_complex *mem)
| fft makes an 1D-ftt for every knot through all layers
static void | read_data (int N, int M, int Z, fftw_complex *mem)
| read fills the memory with the file input_data_f.dat as the real part of f and with zeros for the imag part of f
int | main (int argc, char **argv)

## Detailed Description